DataProvider::NullDataProviderFactory Class Reference

The null data provider factory. More...

Inheritance diagram for DataProvider::NullDataProviderFactory:
[legend]

## Public Member Functions

Class | getClass ()
| Returns the class for the data provider object.
hash< DataProviderInfo > | getInfo ()
| Returns static provider information.
string | getName ()
| Returns the name of the data provider factory.
Public Member Functions inherited from DataProvider::AbstractDataProviderFactory
AbstractDataProvider | create (*hash< auto > options)
| Creates an object from the given constructor options.
hash< auto > | getInfoAsData ()
| Returns static provider information as data; no objects are returned. More...

## Additional Inherited Members

Protected Member Functions inherited from DataProvider::AbstractDataProviderFactory
| error (string err, string fmt)
| thrown an exception

## Detailed Description

The null data provider factory.